Skip to main content
GET
/
users
/
{uid}
/
friends
List Friends
curl --request GET \
  --url https://{appId}.api-{region}.cometchat.io/v3/users/{uid}/friends \
  --header 'apikey: <api-key>'
{
  "data": [
    {
      "uid": "cometchat-uid-6",
      "name": "Barry Allen",
      "link": "https://cometchat.com",
      "avatar": "https://assets.cometchat.io/sampleapp/v2/groups/cometchat-guid-1.webp",
      "metadata": {
        "email": "user@email.com",
        "contactNumber": "0123456789"
      },
      "status": "offline",
      "role": "manager",
      "createdAt": 1638354015,
      "updatedAt": 1638354799,
      "conversationId": "cometchat-uid-4_user_cometchat-uid-6"
    },
    {
      "uid": "cometchat-uid-2",
      "name": "George Alan",
      "avatar": "https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-2.webp",
      "status": "offline",
      "role": "default",
      "createdAt": 1629869270,
      "updatedAt": 1630308676,
      "conversationId": "cometchat-uid-2_user_cometchat-uid-4"
    },
    {
      "uid": "cometchat-uid-3",
      "name": "George Alan",
      "link": "https://data-us.cometchat.io/assets",
      "avatar": "https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-2.webp",
      "metadata": {
        "contactNumber": "0123456789"
      },
      "status": "offline",
      "role": "default",
      "blockedByMe": true,
      "blockedByMeAt": 1638346853,
      "blockedAt": 1638346853,
      "createdAt": 1629869270,
      "updatedAt": 1638351060,
      "conversationId": "cometchat-uid-3_user_cometchat-uid-4"
    }
  ],
  "meta": {
    "pagination": {
      "total": 0,
      "count": 5,
      "per_page": 100,
      "current_page": 1,
      "total_pages": 1
    },
    "cursor": {
      "updatedAt": 1638354799,
      "affix": "prepend"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

uid
string
required

An UID of a user.

Query Parameters

searchKey
string

Searches for given keyword in friends list (either UID or name).

perPage
integer
default:100

Number of friends to be fetched in a request. The default value is 100 and the maximum value is 1000.

page
integer
default:1

Page Number.

Response

200 - application/json

A list of friends.

data
object[]
meta
object